SUSE: 2022:3080-1 important: the Linux Kernel (Live Patch 23 for SL...

   SUSE Security Update: Security update for the Linux Kernel (Live Patch 23 for SLE 15 SP3)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:3080-1
Rating:             important
References:         #1199648 
Cross-References:   CVE-2022-1116
CVSS scores:
                    CVE-2022-1116 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-1116 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    SUSE Linux Enterprise High Performance Computing 15-SP3
                    SUSE Linux Enterprise Micro 5.1
                    SUSE Linux Enterprise Module for Live Patching 15-SP3
                    SUSE Linux Enterprise Server 15-SP3
                    SUSE Linux Enterprise Server for SAP Applications 15-SP3
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for the Linux Kernel 5.3.18-150300_59_90 fixes one issue.

   The following security issue was fixed:
   - CVE-2022-1116: Fixed integer overflow or wraparound vulnerability in
     io_uring, where a local attacker could have caused memory corruption and
     escalate privileges to root (bsc#1199648).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Module for Live Patching 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Live-Patching-15-SP3-2022-3080=1



Package List:

   - SUSE Linux Enterprise Module for Live Patching 15-SP3 (ppc64le s390x x86_64):

      kernel-livepatch-5_3_18-150300_59_90-default-2-150300.2.1


References:

   https://www.suse.com/security/cve/CVE-2022-1116.html
   https://bugzilla.suse.com/1199648

SUSE: 2022:3080-1 important: the Linux Kernel (Live Patch 23 for SLE 15 SP3)

September 5, 2022
An update that fixes one vulnerability is now available

Summary

This update for the Linux Kernel 5.3.18-150300_59_90 fixes one issue. The following security issue was fixed: - CVE-2022-1116: Fixed integer overflow or wraparound vulnerability in io_uring, where a local attacker could have caused memory corruption and escalate privileges to root (bsc#1199648). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE Linux Enterprise Module for Live Patching 15-SP3: zypper in -t patch SUSE-SLE-Module-Live-Patching-15-SP3-2022-3080=1 Package List: - SUSE Linux Enterprise Module for Live Patching 15-SP3 (ppc64le s390x x86_64): kernel-livepatch-5_3_18-150300_59_90-default-2-150300.2.1

References

#1199648

Cross- CVE-2022-1116

CVSS scores:

CVE-2022-1116 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

CVE-2022-1116 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:

SUSE Linux Enterprise High Performance Computing 15-SP3

SUSE Linux Enterprise Micro 5.1

SUSE Linux Enterprise Module for Live Patching 15-SP3

SUSE Linux Enterprise Server 15-SP3

SUSE Linux Enterprise Server for SAP Applications 15-SP3

https://www.suse.com/security/cve/CVE-2022-1116.html

https://bugzilla.suse.com/1199648

Severity
Announcement ID: SUSE-SU-2022:3080-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.